Submit KYC documents
curl --request POST \
--url https://api.business.bumxpress.com/customers/{customer_id}/kyc \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"documents": [
{
"document_type": "national_id",
"document_number": "ID123456",
"issue_country_code": "CM",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"front_file_url": "https://cdn.example.com/kyc/front.jpg",
"back_file_url": "https://cdn.example.com/kyc/back.jpg",
"selfie_file_url": "https://cdn.example.com/kyc/selfie.jpg"
}
]
}
'{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"documents": [
{
"document_type": "national_id",
"document_number": "<string>",
"issue_country_code": "CM",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"front_file_url": "<string>",
"back_file_url": "<string>",
"selfie_file_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploaded",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Customer KYC
Submit KYC documents
Submit identity documents for a customer.
POST
https://api.business.bumxpress.com
/
customers
/
{customer_id}
/
kyc
Submit KYC documents
curl --request POST \
--url https://api.business.bumxpress.com/customers/{customer_id}/kyc \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"documents": [
{
"document_type": "national_id",
"document_number": "ID123456",
"issue_country_code": "CM",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"front_file_url": "https://cdn.example.com/kyc/front.jpg",
"back_file_url": "https://cdn.example.com/kyc/back.jpg",
"selfie_file_url": "https://cdn.example.com/kyc/selfie.jpg"
}
]
}
'{
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"documents": [
{
"document_type": "national_id",
"document_number": "<string>",
"issue_country_code": "CM",
"issue_date": "2023-12-25",
"expiry_date": "2023-12-25",
"front_file_url": "<string>",
"back_file_url": "<string>",
"selfie_file_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "uploaded",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Document files must be available at public HTTP or HTTPS URLs so Bumxpress can fetch them.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Last modified on July 8, 2026